Package com.ocient.transport

# Class TransportResult.FailedTransportResult<T>

java.lang.Object
com.ocient.util.CompletableFutures.FailedResult<T,TransportException>
com.ocient.transport.TransportResult.FailedTransportResult<T>

All Implemented Interfaces:
  `com.ibm.asyncutil.util.Either<T,TransportException>`, `TransportResult<T>`, `CompletableFutures.Result<T,TransportException>`

Enclosing interface:
  TransportResult<T>

public static class TransportResult.FailedTransportResult<T> extends CompletableFutures.FailedResult<T,TransportException> implements TransportResult<T>

## Nested Class Summary

## Nested classes/interfaces inherited from interface com.ocient.transport.TransportResult

`TransportResult.FailedTransportResult<T>, TransportResult.SuccessTransportResult<T>`

## Field Summary

### Fields inherited from class com.ocient.util.CompletableFutures.FailedResult

`exception`

### Fields inherited from interface com.ocient.transport.TransportResult

`VOID_TRANSPORT_RESULT, VOID_TRANSPORT_RESULT_FUTURE`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Equality operator for `CompletableFutures.SQLResult`.
`int`
`hashCode()`

### Methods inherited from class com.ocient.util.CompletableFutures.FailedResult

`fold, get, getException, isLeft, isRight, orElseThrow, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.ocient.util.CompletableFutures.Result

`equals, get, isException, isSuccess, orElseThrow, recover`

### Methods inherited from interface com.ibm.asyncutil.util.Either

`flatMap, fold, forEach, isLeft, isRight, left, map, map, right`

### Methods inherited from interface com.ocient.transport.TransportResult

`flatMapSuccess, getException, mapSuccess, mapSuccessAsync`

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `CompletableFutures.FailedResult<T,TransportException>`

### equals

public boolean equals(Object obj)
Equality operator for `CompletableFutures.SQLResult`.

Overrides:
  `equals` in class `CompletableFutures.FailedResult<T,TransportException>`